Côdau QR
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| search | Dewisol String | Y llinell chwilio. |
| search_by | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: name. |
| project_id | Dewisol Cyfanrif | |
| type | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | Dewisol String | Gwerthoedd a ganiateir: datetime, last_datetime |
| datetime_start | Dewisol String | Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| datetime_end | Dewisol String | Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| order_by | Dewisol String | Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: qr_code_id, datetime, last_datetime, name, type. |
| order_type | Dewisol String | Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel. |
| page | Dewisol Cyfanrif | Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1. |
| results_per_page | Dewisol Cyfanrif | Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
}
}
POST https://tistos.com/api/qr-codes
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \